Can't update patform to 0.64.0

I am stuck at version 0.63.2 and cannot update via ssh or sam.
OS version … Raspbian GNU/Linux 9 (stretch)
Installed assistant … House
Language … en
Hotword … hey_snips
ASR engine … snips
Status … Live

Service status:

snips-asr … 0.63.2 (running)
snips-audio-server … 0.63.2 (running)
snips-dialogue … 0.63.2 (running)
snips-hotword … 0.63.2 (running)
snips-nlu … 0.63.2 (not running)
snips-skill-server … 0.63.2 (running)
snips-tts … 0.63.2 (running)

snips-nlu won’t run… this is what I get when I try to update from ssh:

pi@snips-base:/etc/apt/sources.list.d $ sudo apt-get update
Hit:1 http://deb.debian.org/debian buster InRelease
Get:2 http://archive.raspberrypi.org/debian stretch InRelease [25.4 kB]
Hit:3 http://raspbian.raspberrypi.org/raspbian stretch InRelease
Get:4 https://raspbian.snips.ai/stretch stable InRelease [2,334 B]
Err:4 https://raspbian.snips.ai/stretch stable InRelease
The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY 531DD1A7B702B14D
Fetched 27.7 kB in 1s (17.3 kB/s)
Reading package lists… Done
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://raspbian.snips.ai/stretch stable InRelease: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY 531DD1A7B702B14D
W: Failed to fetch https://raspbian.snips.ai/stretch/dists/stable/InRelease The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY 531DD1A7B702B14D
W: Some index files failed to download. They have been ignored, or old ones used instead.

this doesn’t work:
sudo apt-key adv --fetch-keys https://raspbian.snips.ai/531DD1A7B702B14D.pub

It just sits there and does nothing… I’ve verified that its not a firewall issue… what am I missing?

figured it out…
sudo sh -c ‘curl https://raspbian.snips.ai/531DD1A7B702B14D.pub | apt-key add -’

2 Likes

Thank a lot, it work fine.

becareful with copy/paste --> ’

That worked for me too. Thanks !